Package com.databricks.jdbc.api

## Interface IExecutionStatus

    public interface IExecutionStatus

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getErrorMessage()` Returns the error message if the statement execution failed.
`ExecutionState` `getExecutionState()` Returns the current state of the statement execution.
`String` `getSqlState()` Returns the SQL state code if the statement execution failed.

### Method Detail

#### getErrorMessage

    String getErrorMessage()

Returns the error message if the statement execution failed.

Returns:
  the error message, or null if there was no error

#### getSqlState

    String getSqlState()

Returns the SQL state code if the statement execution failed.

Returns:
  the SQL state code, or null if there was no error

#### getExecutionState

    ExecutionState getExecutionState()

Returns the current state of the statement execution.

Returns:
  the current state of the statement execution